#!/bin/sh
# PCP QA Test No. 267
# this tests for memory leaks in pmNewContext->pmDestroyContext loops
#
# Copyright (c) 1995-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

seq=`basename $0`
echo "QA output created by $seq"

# get standard filters
. ./common.product
. ./common.filter

status=1	# failure is the default!
trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15

# real QA test starts here

cd tmparch
if [ ! -f foo.0 ]
then
    echo "Error: this test needs to use archive \"foo\""
    exit 1
fi

echo "Checking host mode ..."
../src/chk_memleak -i 250 -h localhost
status1=$?
echo "Checking archive mode ..."
../src//chk_memleak -i 250 -a foo
status2=$?

if [ $status1 -eq 0 -a $status2 -eq 0 ]
then
	:
else
    echo "Error: chk_memleak failed"
    exit $status
fi

# success, all done
status=0
exit
